﻿@model Toyota.Common.Web.MVC.ModelHolder
           @{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
<script>
@section Script{
var APPLTERMFROM = '';
    var APPLTERMTO = '';
    var RTEDATE = '';
    var LOGPARTNERCD = '';
    var LOGPTCD = '';

//    function ClickEdit(s, e){
//    var selectedKey = DriverDataTlmsGrid.GetSelectedKeysOnPage();
//        if(selectedKey.length < 1) {
//            alert("Please select at least one record");
//            return;
//        }

//        if(selectedKey.length > 1) {
//            alert("Only one data can be edited in one time !");
//            return;
//        }

//        if(selectedKey.length == 1) {
//     
//            DriverDataTlmsGrid.StartEditRowByKey(selectedKey);
//            
//        }
//    }

    function OnOIPViewDetailBeginCallback(s, e) {
        e.customArgs["APPLTERMFROM"] = APPLTERMFROM;
        e.customArgs["APPLTERMTO"] = APPLTERMTO;
        e.customArgs["RTEDATE"] = RTEDATE;
        e.customArgs["LOGPARTNERCD"] = LOGPARTNERCD.GetText();
        e.customArgs["LOGPTCD"] = logptcd.GetText();
        e.customArgs["RTEGRPCD"] = OIHRouteOption.GetText();
        //alert (RTEDATE);
       // e.customArgs["LOGPARTNERCD"] = LOGPARTNERCD; //===> tambah filter
//        e.customArgs["RTEDATE"] = RTEDATE;
//        e.customArgs["LOGPARTNERCD"] = LOGPARTNERCD;     
        
    }   

    function OnOIPDwonloadButtonClick(s, e) {
    
        if (DriverDataTlmsGrid.GetVisibleRowsOnPage() == 0)
        {
            alert("No data to download");
        }
        else
        {
            if ((dateeditAPPLTERMFROM.GetText() != '')&&(dateeditAPPLTERMTO.GetText() != ''))
            {
//                alert(dateeditAPPLTERMFROM.GetText());
//                alert(dateeditAPPLTERMTO.GetText());
                //alert (dateeditRTEDATE.GetText());
                $.fileDownload("DriverDataTlms/dwonloaddriverdata/", {
                data: {
                    APPLTERMFROM : dateeditAPPLTERMFROM.GetText(),
                    APPLTERMTO : dateeditAPPLTERMTO.GetText(),
                    RTEDATE : dateeditRTEDATE.GetText(),
                    LOGPARTNERCD : LOGPARTNERCD.GetText(),
                    LOGPTCD : logptcd.GetText(),
                    RTEGRPCD : OIHRouteOption.GetText()

                    },
                successCallback: function (result) {
                    },
                failCallback: function (result) {
                    }
                });

            }
        }
    }




function OnOIPClearButtonClick(s, e)

{
dateeditAPPLTERMFROM.SetText('');
dateeditAPPLTERMTO.SetText('');
dateeditRTEDATE.SetText('');
LOGPARTNERCD.SetText('');
OIHRouteOption.SetText('');
logptcd.SetText('');


// APPLTERMFROM='';
// APPLTERMTO=''; 
//DriverDataTlmsGrid.PerformCallback();
}

    function OnOIPSearchButtonClick(s, e) {            
       if ((dateeditAPPLTERMFROM.GetText() != '')&&(dateeditAPPLTERMTO.GetText() != ''))//&&(dateeditRTEDATE.GetText()!=''))
        {
        APPLTERMFROM = dateeditAPPLTERMFROM.GetText();
        APPLTERMTO = dateeditAPPLTERMTO.GetText();
        RTEDATE = dateeditRTEDATE.GetText();
        //LOGPARTNERCD = LOGPARTNERCD.GetText();
        //LOGPTCD = logptcd.GetText();
            //alert (dateeditRTEDATE.GetText());
        DriverDataTlmsGrid.PerformCallback();
        }
        else 
        {
            $.msgBox("Apply From and Apply To is Mandatory");
            //alert('APPLY FROM,APPLY TO is Mandatory');
        } 
    }
    
 }
</script>

<div style="display:table;border:1px solid #142B94; background-color:#DEECFD; padding:10px; width:98%">
    @Html.Partial("HeaderDriverDataTlms")
</div>

<div style= "height:3px";>
</div>

<div style="display:table;border:1px solid #142B94; background-color:#DEECFD; padding:10px; width:98%">
 @Html.Partial("DownloadDriver")
 </div>

<div style="padding-top:6px;">
    @Html.Partial("DriverDataTlmsGrid", Model)
</div>

